Opened 19 months ago

Closed 19 months ago

Last modified 19 months ago

#10234 closed enhancement (wontfix)

SCI: Lighthouse: Use script 9 md5 to display version if possible

Reported by: dafioram Owned by: csnover
Priority: normal Component: Engine: SCI
Keywords: sci32 Cc:
Game: Lighthouse

Description

I think having a way of finding out which version of lighthouse is running will be very helpful. It could be used for detection or displayed somewhere else. It looks like script 9 is different in all versions. Here is the info:

2.0a

  1. sierra patch LITE2FIX and LITEPT2A/Jafa winxp install/sierra dosbox installer

Resource size: 150232
Resource location: 9.csc
Resource hash (decompressed): 84e628b2b58c9eacf1faea98e4793d49
File md5 of first 5000: b1b37a41c514f8ec770655b7bc2bea57

2.0

  1. Original disc

Resource size: 135412
Resource location: ressci.pat
Resource hash (decompressed): 450ddf6c4f1de8a6367ddd77f090e386

  1. 2.0 patch from sierra (LITE2PAT)

Resource size: 135412
Resource location: 9.CSC
Resource hash (decompressed): 450ddf6c4f1de8a6367ddd77f090e386
File md5 of first 5000: fe5b8e379946a70f30c1a9f8931cadbd

1.0C
...

1.0?

You will notice that my game disc has the 2.0 version of script 9, but it is in ressci.pat rather then a separate file. The 2.0 patch from sierra is used to update games that were version 1.0c. Obviously, there are some physical discs with version 2.0 installed (since that is what I have).

It would be nice that, if the md5 of script 9 matched any of these then it would display it somewhere and if not then it would just default to not being displayed or "Unknown version".

I don't actually have any version of 1.0 so I cannot get md5 sums for those.

Change History (5)

comment:1 Changed 19 months ago by csnover

Display the version where? What is the reason you wish to display the version?

comment:2 Changed 19 months ago by csnover

Keywords: sci32 added; win32 removed

comment:3 Changed 19 months ago by dafioram

I was thinking in the game title displayed in the scummvm-gui (edit game) at the end. I think this would make debugging bugs easier if we know the player was on 1.0c vs. 2.0a (or 2.0). For example 2.0a cannot play 1.0c saved games.

comment:4 Changed 19 months ago by csnover

Owner: set to csnover
Resolution: wontfix
Status: newclosed

Since the game version is part of the information we normally collect in a bug report, and the engine already will refuse to load save games created by different game versions, I don’t feel like it is worth the effort (and trouble, for dealing with all the different possible localisation differences) to make this change at this time.

comment:5 Changed 19 months ago by dafioram

Testers who are playing lighthouse may report that they beat version 1.0c (since this is what the version file will contain), when they may actually be on 2.0 or 2.0a. A big difference is the hint system is present in 2.0 (and 2.0a), but they may not know this.

Note: See TracTickets for help on using tickets.